package org.firstinspires.ftc.teamcode.subsystem;

import static org.firstinspires.ftc.teamcode.PedroConstants.CLAW_NAME;
import static org.firstinspires.ftc.teamcode.configs.RobotConstants.clawClose;
import static org.firstinspires.ftc.teamcode.configs.RobotConstants.clawOpen;

import com.qualcomm.robotcore.hardware.HardwareMap;
import com.qualcomm.robotcore.hardware.Servo;

public class ClawSubsystem {

    public enum ClawState {
        CLOSED, OPEN
    }

    private Servo claw;
    private ClawState state;

    public ClawSubsystem(HardwareMap hardwareMap) {
        this.claw = hardwareMap.get(Servo.class, CLAW_NAME);
    }

    public void closeClaw() {
        claw.setPosition(clawClose);
        state = ClawState.CLOSED;
    }

    public void openClaw() {
        claw.setPosition(clawOpen);
        state = ClawState.OPEN;
    }

    public ClawState getState() {
        return state;
    }

    public void switchState() {
        if (state == ClawState.CLOSED) {
            openClaw();
        } else if (state == ClawState.OPEN) {
            closeClaw();
        }
    }

    public void init() {
        closeClaw();
    }

}